cdac.medinfo.sdk.hl7282.hl7model.messages.medicalrecords

## Class MediRecRecepient

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message_Source_Recepient
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.medicalrecords.MediRecRecepient

- All Implemented Interfaces:
    IMessageRecepient

      public final class MediRecRecepient
      extends Message_Source_Recepient
      implements IMessageRecepient

  MediRecRecepient provides methods to parse message from Given HL7stream object. It supports check for Query messages. Unlike Message Processor it does not support creation of Message. With implementor of this interface you can not trigger event. But you can process event.It also has support for creation of Queries.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediRecRecepient()` Constructs MediRecRecepient

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canReceive(EnumMessageCode enumMessageCode, EnumTriggerEvent enumTriggerEvent)` Checks whether underlying Message Recepient can receive specified Message or not.
    `boolean` | `canSend(EnumMessageCode enumMessageCode, EnumTriggerEvent enumTriggerEvent)` Checks whether underlying Message Recepient can send specified Message or not.
    `boolean` | `isMessageExtensionSupported(EnumMessageCode enumMsgCode, EnumTriggerEvent enumTriggerEvent)` Checks whether underlying Message Recepient supports extension of message for provided message code and trigger event.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message_Source_Recepient

      `createMessage, populateMessage, populateMessage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface cdac.medinfo.sdk.hl7282.baselibs.messages.IMessageRecepient

      `createMessage, populateMessage, populateMessage`

- - ### Constructor Detail

    - #### MediRecRecepient

          public MediRecRecepient()

      Constructs MediRecRecepient

  - ### Method Detail

    - #### isMessageExtensionSupported

          public boolean isMessageExtensionSupported(EnumMessageCode enumMsgCode,
                                            EnumTriggerEvent enumTriggerEvent)

      Checks whether underlying Message Recepient supports extension of message for provided message code and trigger event. For Local trigger events enum value must be null.
      Specified by:
        `isMessageExtensionSupported` in interface `IMessageRecepient`
      Parameters:
        `enumMsgCode` - specified message code.
        `enumTriggerEvent` - specified trigger event
      Returns:
        boolean status as true or false

    - #### canSend

          public boolean canSend(EnumMessageCode enumMessageCode,
                        EnumTriggerEvent enumTriggerEvent)

      Checks whether underlying Message Recepient can send specified Message or not.
      Specified by:
        `canSend` in interface `IMessageRecepient`
      Specified by:
        `canSend` in class `Message_Source_Recepient`
      Parameters:
        `enumMessageCode` - specified message code.
        `enumTriggerEvent` - specified trigger event
      Returns:
        boolean status as true or false

    - #### canReceive

          public boolean canReceive(EnumMessageCode enumMessageCode,
                           EnumTriggerEvent enumTriggerEvent)

      Checks whether underlying Message Recepient can receive specified Message or not.
      Specified by:
        `canReceive` in interface `IMessageRecepient`
      Specified by:
        `canReceive` in class `Message_Source_Recepient`
      Parameters:
        `enumMessageCode` - specified message code.
        `enumTriggerEvent` - specified trigger event
      Returns:
        boolean status as true or false